#                                               -*- Autoconf -*-
#
#  ot_submodule.m4
#
#  Copyright (C) 2005-2013 EDF-EADS-Phimeca
#
#  This library is free software: you can redistribute it and/or modify
#  it under the terms of the GNU Lesser General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  This library is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU Lesser General Public License for more details.
#
#  You should have received a copy of the GNU Lesser General Public
#  along with this library.  If not, see <http://www.gnu.org/licenses/>.
#
#  @author schueller
#  @date   2012-02-17 19:35:43 +0100 (Fri, 17 Feb 2012)
#  Id      ot_submodule.m4 2392 2012-02-17 18:35:43Z schueller
#
#
#  This file is intended to be include in the configure.ac file
#  of Open TURNS project to activate extra modules
#
# OT_SUBMODULE([ module ], [enabled by default = yes|no])
# -------------------------------------------------------
#
AC_DEFUN([OT_SUBMODULE],
[
  AC_ARG_ENABLE([$1],
                AC_HELP_STRING([--enable-]$1, [Activate sub-module ]$1[. (default=]m4_default([$2], yes)[)]),
			          [], [enableval=]m4_default([$2], yes))

  AC_ARG_WITH([$1],
              AC_HELP_STRING([--with-]$1, [Invalid option. Use --enable-]$1[ instead.]),
			          [invalid=yes], [invalid=no])

  if test x$invalid = xyes
  then
    AC_MSG_ERROR([Option --with-]$1[ is invalid. Use --enable-]$1[ instead])
  fi

  AS_TR_CPP(ENABLE_MODULE_$1)=0
  $1_ok="no"

  if test ! "$enableval" = "no"; then
    if test -d $srcdir/$1; then
      AC_CONFIG_SUBDIRS([$1])
      $1_ok="yes"
      AS_TR_CPP(ENABLE_MODULE_$1)=1
    fi
  fi

  AM_CONDITIONAL(AS_TR_CPP(ENABLE_MODULE_$1), [test $]$1[_ok = "yes"])
])
