#                                               -*- Autoconf -*-
#
#  ot_check_dot.m4
#
#  Copyright (C) 2005-2013 EDF-EADS-Phimeca
#
#  This library is free software: you can redistribute it and/or modify
#  it under the terms of the GNU Lesser General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  This library is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU Lesser General Public License for more details.
#
#  You should have received a copy of the GNU Lesser General Public
#  along with this library.  If not, see <http://www.gnu.org/licenses/>.
#
#  @author schueller
#  @date   2012-02-17 19:35:43 +0100 (Fri, 17 Feb 2012)
#  Id      ot_check_dot.m4 2392 2012-02-17 18:35:43Z schueller
#
#
#  This file is intended to be include in the configure.in file
#  of Open TURNS project to check whether Dot is available on the
#  build platform.
#
# OT_CHECK_DOT
# ------------
#
AC_DEFUN([OT_CHECK_DOT],
[
  WITH_DOT=0
  AC_ARG_VAR([DOT], [path for dot tool])
  AC_PATH_PROG([DOT], [dot])
  test x$DOT = x || WITH_DOT=1

  # Propagate test into atlocal
  AC_SUBST(WITH_DOT)

  # Propagate test into Makefiles
  AM_CONDITIONAL(WITH_DOT, test $WITH_DOT = 1)
])
