#                                               -*- Autoconf -*-
#
#  ot_check_gs.m4
#
#  Copyright (C) 2005-2013 EDF-EADS-Phimeca
#
#  This library is free software: you can redistribute it and/or modify
#  it under the terms of the GNU Lesser General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  This library is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU Lesser General Public License for more details.
#
#  You should have received a copy of the GNU Lesser General Public
#  along with this library.  If not, see <http://www.gnu.org/licenses/>.
#
#  @author dutka
#  @date   2008-06-26 13:50:17 +0200 (jeu, 26 jun 2008)
#  Id      ot_check_rm.m4 862 2008-06-26 11:50:17Z dutka
#
#
#  This file is intended to be include in the configure.in file
#  of Open TURNS project to check whether gs is available on the
#  build platform.
#
# OT_CHECK_GS
# -----------
#
AC_DEFUN([OT_CHECK_GS],
[
  WITH_GS=0
  AC_ARG_VAR([GS], [path for gs tool])
  AC_PATH_PROG([GS], [gs])
  test x$GS = x || WITH_GS=1

  # Propagate test into atlocal
  AC_SUBST(WITH_GS)

  # ... and into source files
  test x$WITH_GS = x1 || AC_DEFINE_UNQUOTED(HAVE_GS, 1, [Support for ghostscript])
])
