#                                               -*- Autoconf -*-
#
#  ot_check_python.m4
#
#  Copyright (C) 2005-2013 EDF-EADS-Phimeca
#
#  This library is free software: you can redistribute it and/or modify
#  it under the terms of the GNU Lesser General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  This library is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU Lesser General Public License for more details.
#
#  You should have received a copy of the GNU Lesser General Public
#  along with this library.  If not, see <http://www.gnu.org/licenses/>.
#
#  @author schueller
#  @date   2012-02-17 19:35:43 +0100 (Fri, 17 Feb 2012)
#  Id      ot_check_python.m4 2392 2012-02-17 18:35:43Z schueller
#
#
#  This file is intended to be include in the configure.in file
#  of Open TURNS project to check whether Python is available on the
#  build platform.
#
# OT_CHECK_PYTHON
# ---------------
#
AC_DEFUN([OT_CHECK_PYTHON],
[ac_save_CPPFLAGS="$CPPFLAGS"
AM_PATH_PYTHON

AC_SUBST([python_bin],
         [`basename ${PYTHON}`] )
         
AC_SUBST([PYTHON_PREFIX],
         [`${PYTHON} -c "import sys; print (sys.prefix)"`] )

AC_SUBST([python_includedir],
         [`${PYTHON} -c "import sys; print (sys.prefix + \"/include/python\" + str(sys.version_info[[0]]) + \".\" + str(sys.version_info[[1]]))"`] )

AC_SUBST([python_libdir],
         [`${PYTHON} -c "import sys; print (sys.prefix + \"/lib/python\" + str(sys.version_info[[0]]) + \".\" + str(sys.version_info[[1]]) + \"/m4\")"`] )

AC_SUBST([python_version],
         [`${PYTHON} -c "import sys; print (str(sys.version_info[[0]]) + \".\" + str(sys.version_info[[1]]))"`] )

if test x$win32 = x1; then

# With MinGW target, AM_PATH_PYTHON set windows style path whereas we want linux style path.
python_version=`echo $python_version | tr -d "." | tr -d "\015"`
pythondir='${exec_prefix}/lib/python'$python_version'/site-packages'
pyexecdir='${exec_prefix}/lib/python'$python_version'/site-packages'
AC_MSG_NOTICE([redefine python script directory: $pythondir])
AC_MSG_NOTICE([redefine python extension module directory: $pyexecdir])

fi

WITH_PYTHON=0
test -n "${PYTHON}" && WITH_PYTHON=1

# Propagate test into Makefiles
AM_CONDITIONAL(WITH_PYTHON, test $WITH_PYTHON = 1)
])
