#                                               -*- Autoconf -*-
#
#  ot_check_r_packages.m4
#
#  Copyright (C) 2005-2013 EDF-EADS-Phimeca
#
#  This library is free software: you can redistribute it and/or modify
#  it under the terms of the GNU Lesser General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  This library is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU Lesser General Public License for more details.
#
#  You should have received a copy of the GNU Lesser General Public
#  along with this library.  If not, see <http://www.gnu.org/licenses/>.
#
#  @author schueller
#  @date   2012-02-17 19:35:43 +0100 (Fri, 17 Feb 2012)
#  Id      ot_check_r_packages.m4 2392 2012-02-17 18:35:43Z schueller
#
#
#  This file is intended to be include in the configure.in file
#  of Open TURNS project to check whether R has a given package
#
# OT_CHECK_R_PACKAGES( R_PACKAGE_NAME )
# -------------------------------------
#
AC_DEFUN([OT_CHECK_R_PACKAGES], [dnl
  AC_REQUIRE([OT_CHECK_R])
  _OT_CHECK_R_PACKAGES([$1])
  for r_package_name in $1
  do
    AC_CACHE_CHECK([whether R has package ${r_package_name}], [ot_cv_check_r_package_${r_package_name}],
                   [eval "ot_cv_check_r_package_${r_package_name}=no"
                    ${r_prog_path} --no-save --silent --no-readline -e "library(${r_package_name})" >/dev/null 2>&1 && eval "ot_cv_check_r_package_${r_package_name}=yes"])

    pkg=`echo ${r_package_name} | tr "[a-z]" "[A-Z]"`
    res=0
    eval "test x\${ot_cv_check_r_package_${r_package_name}} = xyes" && { res=1 ; R_PACKAGES="$R_PACKAGES ${r_package_name}"; }

    cmd="WITH_R_PACKAGE_${pkg}=$res"
    eval "$cmd"

    AC_SUBST(R_PACKAGES)
    AC_DEFINE_UNQUOTED(AS_TR_CPP(HAVE_R_PACKAGE_$r_package_name), [$res])
  done
])


# _OT_CHECK_R_PACKAGES( R_PACKAGE_NAME )
# --------------------------------------
#
m4_define([_OT_CHECK_R_PACKAGES],[dnl
  AC_FOREACH([OT_Package], [$1], 
  [AH_TEMPLATE(AS_TR_CPP(HAVE_R_PACKAGE_[]OT_Package),
               [Define to 1 if R has package ]OT_Package[.])
  ])
])
